net.corda.core.contracts

## Interface OwnableState

- All Superinterfaces:
    ContractState
  All Known Subinterfaces:
    FungibleAsset<T>
  All Known Implementing Classes:
    DummyContract.SingleOwnerState, Cash.State, CommodityContract.State, CommercialPaperLegacy.State, Obligation.State, CommercialPaper.State

      public OwnableState
      extends ContractState

  A contract state that can have a single owner.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompositeKey` | `getOwner()` There must be a MoveCommand signed by this key to claim the amount
    `kotlin.Pair<net.corda.core.contracts.CommandData,net.corda.core.contracts.OwnableState>` | `withNewOwner(CompositeKey newOwner)` Copies the underlying data structure, replacing the owner field with this new value and leaving the rest alone

    - ### Methods inherited from interface net.corda.core.contracts.ContractState

      `getContract, getParticipants`

- - ### Method Detail

    - #### getOwner

          CompositeKey getOwner()

      There must be a MoveCommand signed by this key to claim the amount

    - #### withNewOwner

          kotlin.Pair<net.corda.core.contracts.CommandData,net.corda.core.contracts.OwnableState> withNewOwner(CompositeKey newOwner)

      Copies the underlying data structure, replacing the owner field with this new value and leaving the rest alone